com.smartgwt.client.types

## Enum LogicalOperator

- java.lang.Object
- - java.lang.Enum<LogicalOperator>
  - - com.smartgwt.client.types.LogicalOperator

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<LogicalOperator>

      public enum LogicalOperator
      extends java.lang.Enum<LogicalOperator>
      implements ValueEnum

  Operators that can evaluate a set of criteria and produce a combined result.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AND` true if all criteria are true
    `NOT` true if all criteria are false
    `OR` true if any criteria are true

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static LogicalOperator` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LogicalOperator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AND

          public static final LogicalOperator AND

      true if all criteria are true

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "and".

    - #### OR

          public static final LogicalOperator OR

      true if any criteria are true

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "or".

    - #### NOT

          public static final LogicalOperator NOT

      true if all criteria are false

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "not".

  - ### Method Detail

    - #### values

          public static LogicalOperator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LogicalOperator c : LogicalOperator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LogicalOperator valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`